.col-full {
	max-width: 1600px !important;
}

/* ====== Model Banner (Single Page) ====== */
.pbm-banner-single {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
	gap: 30px;
	text-align: left;
	height: 220px;
	background: var(--apw-bg-white);
}

.pbm-banner-image img {
	height: 200px;
	width: 200px;
	aspect-ratio: 1;
	display: inline-block;
	vertical-align: middle;
}

.pbm-banner-single .pbm-banner-heading {
	display: flex;
	flex-direction: column;
	gap: 10px;
	justify-content: center;
}

.pbm-banner-heading {
	position: relative;
	height: 40px;
}


.pbm-banner-subtext {
	font-size: 16px;
	font-weight: 500;
	color: #555;
	margin: 0;
}

/* Single Model Page */

.pbm-single-model {
	height: 100%;
}

.pbm-model-diagrams {
	display: grid;
	grid-template-columns: max-content 1fr;
	justify-content: center;
	column-gap: 20px;
	border-radius: 3px;
	overflow: hidden;
	height: 960px;
}

.pbm-single-model h2 {
	text-align: left;
}

.pbm-sm-diagram-book {
	position: relative;
	width: 100%;
	padding: 40px;
	border-radius: 3px;
	background: var(--apw-bg-white);
	overflow: hidden;
	transition: height .3s;
	display: flex;
	gap: 20px;
}

.pbm-sm-product-list {
	width: 100%;
	max-width: 100%;
	overflow: hidden;
	border-radius: 3px;
	background: var(--apw-bg-white);
	/* height: 1450px; */
	transition: height .3s;
	flex-direction: column;
}

.pbm-sm-product-list-header {
	display: flex;
	padding: 20px 40px 20px 40px;
	justify-content: space-between;
}

.pbm-sm-product-list-header input {
	/* border-radius: 3px; */
	width: 250px;
	background-color: transparent !important;
}

.pbm-sm-product-list-header input::placeholder {
	/* border-radius: 3px; */
	color: #999 !important;
}

.pbm-sm-product-list-body {
	list-style: none;
	padding: 0 40px 0 40px;
	margin: 0;
	display: flex;
	flex-direction: column;
	/* gap: 20px; */
	max-height: 870px;
	overflow-y: auto;
	scrollbar-width: thin;
	box-sizing: border-box;
}

.pbm-sm-product-list-body-2 {
	display: grid;
	padding: 4px 40px 4px 40px !important;
	grid-template-columns: repeat(auto-fill, minmax(175px, 1fr));
	gap: 25px;
	list-style: none;
	padding: 0;
	margin: 0;
	max-height: 870px;
	overflow-y: auto;
	scrollbar-width: thin;
	box-sizing: border-box;
	justify-content: start;
}

.pbm-sm-product-list-body-2 li {
	position: relative;
	background: #eee;
	padding: 10px;
	text-align: left;
	display: flex;
	/* make content align nicely */
	align-items: center;
	/* vertical alignment */
	justify-content: space-between;
	/* horizontal alignment */
	height: auto;
	overflow: wrap;
	flex-direction: column;
}

.pbm-sm-product-list-body-2 li a {
	text-decoration: none;
}

.pbm-sm-product-card.active {
	outline: 2px solid var(--apw-primary-red);
}

.pbm-sm-product-list-body-2 li .pbm-sm-product-card--details {
	width: 100%;
}

.pbm-sm-product-list-body-2 li .pbm-sm-product-card--details h3 {
	display: -webkit-box;
	-webkit-line-clamp: 2;
	line-clamp: 2;
	/* number of lines before cutoff */
	-webkit-box-orient: vertical;
	overflow: hidden;
	text-overflow: ellipsis;
	text-wrap: wrap;
}

.pbm-sm-product-card--hs-pos {
	position: absolute;
	top: 10px;
	left: -10px;
	width: 0;
	font-weight: bold;
	z-index: 1;
}

.pbm-sm-product-card--hs-pos span {
	display: block;
	width: max-content;
	padding: 4px 14px;
	margin: 0;
	border-top-left-radius: 3px;
	border-top-right-radius: 3px;
	border-bottom-right-radius: 3px;
	font-size: 16px;
	font-weight: 600;
	box-shadow: 2px 2px 10px -5px #000;
	text-shadow: none;
	clear: both;
	position: relative;
	color: var(--apw-primary-white);
	background-color: var(--apw-primary-blue);
}

.pbm-sm-product-card--hs-pos span::before {
	content: "";
	display: block;
	width: 0;
	height: 0;
	position: absolute;
	bottom: -10px;
	left: 0;
	border-top: 10px solid #0b1c3f;
	border-left: 10px solid transparent;
	background: transparent;
}

.pbm-sm-product-card.active .pbm-sm-product-card--hs-pos span {
	background-color: var(--apw-primary-red);
}

.pbm-sm-product-card.active .pbm-sm-product-card--hs-pos span::before {
	border-top: 10px solid maroon;
}

/* The red triangle + rotated SALE text */
.sale-ribbon {
	position: absolute;
	top: 0;
	right: 0;
	width: 80px;
	/* adjust size */
	height: 80px;
	/* makes a square to cut into a triangle */
	background: transparent;
	overflow: hidden;
	pointer-events: none;
}

.sale-ribbon::before {
	content: "";
	position: absolute;
	top: 0;
	right: 0;
}


.sale-icon {
	position: absolute;
	right: -20px;
	width: 50px;
	height: auto;
}

.pbm-sm-product-card--details>a {
	min-width: 0;
	max-width: 100%;
}

.pbm-sm-product-card--details>a:hover {
	min-width: 0;
	max-width: 100%;
	text-decoration: none;
	color: var(--apw-primary-gold);
}


.pbm-sm-product-list-body .pbm-sm-product-card {
	display: flex;
	gap: 10px;
	padding: 15px 0;
	background: var(--apw-bg-white);
	align-items: flex-start;
	border-bottom: 1px solid var(--apw-border-offwhite);
	width: 100% !important;
	margin-right: 0
}

.pbm-sm-product-list-body .pbm-sm-product-card.highlight {
	box-shadow: inset -4px 0 0 var(--apw-primary-blue);
	/* border-top: 2px solid #103482 !important; */
}

.pbm-sm-product-list-body .pbm-sm-product-card:first-child {
	border-top: 1px solid var(--apw-border-offwhite);
}

.pbm-sm-product-list-body .pbm-sm-product-card .pbm-sm-product-card--thumbnail {
	flex: 0 0 auto;
	width: 120px;
	height: 120px;
	display: flex;
	align-items: center;
	justify-content: center;
	overflow: hidden;
}

.pbm-sm-product-list-body .pbm-sm-product-card .pbm-sm-product-card--thumbnail img {
	width: 120px;
	height: 120px;
	object-fit: cover;
	display: block;
	border-radius: 3px;
	margin: 0 !important;
}

.pbm-sm-product-list-body .pbm-sm-product-card .pbm-sm-product-card--details {
	flex: 1 1 auto;
	min-width: 0;
	max-width: 100%;
	display: flex;
	flex-direction: column;
	font-weight: 500;
	align-items: flex-start;
}

.pbm-sm-product-card--details .pbm-sm-product-card--title {
	margin: 0;
	display: block;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	color: #111;
	font-weight: 700;
	text-decoration: none;
	text-transform: uppercase;
	transition: .2s;
	max-width: 100%;
	min-width: 0;
}

.pbm-sm-product-card--details .pbm-sm-product-card--sku {
	font-size: 16px;
	margin: 0;
}

.pbm-sm-product-card--details .pbm-sm-product-card--price {
	font-weight: 600;
	align-content: center;
	color: var(--apw-primary-red);
}

.pbm-sm-product-card--price>del {
	display: none;
}

.pbm-sm-product-card--details .pbm-sm-product-card-button {
	display: inline-block;
	padding: 8px 9px 8px 9px;
	background: var(--apw-bg-blue);
	color: var(--apw-primary-white);
	border-radius: 3px;
	font-size: 16px;
	font-weight: 500;
	line-height: 1 !important;
	cursor: pointer;
	width: fit-content;
	transition: background 0.2s ease-in-out;
}

.pbm-sm-product-card--details .pbm-sm-product-card-button:hover {
	background: #0c2b6e;
}


.pbm-sm-diagram-book--left {
	display: flex;
	gap: 20px;
	overflow-x: auto;
	padding: 5px;
	flex-direction: column;
	justify-content: start;
	height: fit-content;
}

/* Thumbnails bar */
.pbm-diagram-thumbs {
	display: flex;
	gap: 20px;
	flex-direction: column;
}

.pbm-thumb {
	border: 2px solid transparent;
	background: none;
	padding: 0;
	cursor: pointer;
	transition: border-color 0.3s ease, transform 0.2s ease;
	border-radius: 3px;
	/* border-bottom: 1px solid var(--apw-border-offwhite); */
}

/* .pbm-thumb:first-child {
	border-top: 1px solid var(--apw-border-offwhite);
} */

.pbm-thumb img {
	width: 80px;
	height: auto;
	display: block;
	border-radius: 4px;
}

.pbm-thumb.active {
	border-color: var(--apw-primary-blue);
	border-radius: 3px;
	transform: scale(1.05);
}

/* Diagram pages */
.pbm-sm-diagram-book {
	position: relative;
}

.pbm-diagram-page {
	display: none;
	position: relative;
	/* position: absolute; */
	transition: opacity 0.4s ease;
	top: 0;
	left: 0;
}

.pbm-diagram-page.active {
	display: block;
	opacity: 1;
}

.pbm-diagram-page img {
	user-drag: none;
	/* Safari */
	-webkit-user-drag: none;
	user-select: none;
	pointer-events: none;
	display: block;
	max-width: 100%;
	max-height: 100%;
	/* Prevent auto-scaling */
	width: auto;
	/* Keep full resolution */
	height: auto;

}

/* Hotspots */
.pbm-hotspot {
	position: absolute;
	border: 2px solid var(--apw-primary-red);
	border-radius: 50%;
	/* outline: 1px dashed blue; */
	background: transparent;
	box-sizing: border-box;
	cursor: pointer;
}

.pbm-hotspot:hover {
	transform: scale(1.2);
	background: var(--apw-primary-red);
}

/* Product list */

.product.highlight {
	border: 2px solid var(--apw-border-blue);
	background: #f0f8ff;
	padding: 5px;
	transition: background 0.3s ease, border-color 0.3s ease;
}

.diagram-wrapper {
	position: relative;
	/* width: 100%; */
	outline: 1px solid var(--apw-border-offwhite);
}

#diagram {
	transition: transform 0.2s ease;
	/* smooth zooming */
	transform-origin: center center;
	/* zoom from center */
}

.pbm-sm-diagram-book--controls {
	position: absolute;
	top: 0;
	right: 0px;
	display: flex;
	/* gap: 5px; */
	z-index: 1;
	/* border-bottom: 1px solid #103482; */
	width: 100%;
	align-items: center;
	/* background-color: #55555570; */
	height: 32px;
}



#zoom-slider {
	flex-grow: 1;
}

#zoom-in,
#zoom-out {
	display: flex;
	background-color: transparent;
	height: 22px;
	line-height: 1;
	width: 32px;
	font-size: 22px;
	font-weight: 800;
	color: var(--apw-primary-white);
	background-color: var(--apw-primary-blue);
	align-items: center;
	justify-content: center;
	border-radius: 3px;
	box-shadow:
		0 1px 2px rgba(0, 0, 0, 0.3);
}

#zoom-in:hover,
#zoom-out:hover {
	background-color: var(--apw-primary-gold);
}

#zoom-out {
	padding: 0 0px 0px 0 !important;
	border-top-left-radius: 3px;
	border-bottom-left-radius: 3px;
	margin-left: 5px;
}

#zoom-in {
	padding: 0 0 0px 0px !important;
	border-top-right-radius: 3px;
	border-bottom-right-radius: 3px;
	margin-right: 5px;
}

.diagram-container {
	width: 656px;
	height: 100%;
	overflow: hidden;
	cursor: grab;
	position: relative;
}

#diagram-stage {
	position: relative;
	top: 0;
	left: 0;
	transform-origin: top left;
	transition: transform 0.1s ease;
}

.pbm-sm-diagram-book--controls .slider {
	flex: 1;
	-webkit-appearance: none;
	width: 100%;
	height: 10px;
	background: var(--apw-bg-blue);
	outline: none;
	padding: 0;
	margin: 0;
	box-shadow:
		0 1px 2px rgba(0, 0, 0, 0.3);
}

.pbm-sm-diagram-book--controls .slider:hover::-webkit-slider-thumb,
.pbm-sm-diagram-book--controls .slider:hover::-moz-range-thumb {
	background: #4d4d4d;
}

.pbm-sm-diagram-book--controls .slider::-webkit-slider-thumb {
	-webkit-appearance: none;
	width: 10px;
	height: 22px;
	background: #757575;
	cursor: pointer;
	border: none;
	border-radius: 2px;
	transition: background 0.2s ease;
	box-shadow: 0 1px 2px rgba(0, 0, 0, 0.3);
}

.pbm-sm-diagram-book--controls .slider::-moz-range-thumb {
	width: 10px;
	height: 22px;
	background: #757575;
	border: none;
	border-radius: 3px;
	cursor: pointer;
	transition: background 0.2s ease;
	box-shadow: 0 1px 2px rgba(0, 0, 0, 0.3);
}

.pbm-sm-product-card--header {
	width: 100%;
	margin-bottom: 4px;
	display: flex;
	flex-direction: column;
}

.pbm-sm-product-card--header .pbm-sm-product-card--thumbnail {
	width: fit-content;
	align-self: center;
	margin-bottom: 8px;
	position: relative;
}

.pbm-sm-product-card--header .pbm-sm-product-card--title {
	margin: 0;
	display: block;
	color: #111;
	font-weight: 600;
	text-decoration: none;
	text-transform: uppercase;
	transition: .2s;
	max-width: 100%;
	min-width: 0;
	display: -webkit-box;
	-webkit-line-clamp: 2;
	/* number of lines before cutoff */
	-webkit-box-orient: vertical;
	overflow: hidden;
	text-overflow: ellipsis;
	line-height: 1;
	font-size: 16px !important
}

.custom-add-to-cart {
	display: flex;
	align-items: center;
	justify-content: flex-end;
	gap: 5px;
}

.custom-add-to-cart .custom-add-to-cart--oos {
	background-color: var(--apw-primary-blue);
	/* width: 100%; */
}

.custom-add-to-cart .custom-qty {
	width: 50px;
	height: 32px;
	text-align: center;
}

.custom-add-to-cart a {
	display: flex;
	align-items: center;
	justify-content: center;
	background: var(--apw-bg-blue);
	color: var(--apw-primary-white);
	height: 36px;
	width: 36px;
	border-radius: 3px;
	padding: 0 !important;
}

.custom-add-to-cart a:hover {
	color: var(--apw-primary-gold);
	color: var(--apw-primary-white);
}

.pbm-sm-product-card--bottom-row {
	display: flex;
	justify-content: space-between;
}

@media (max-width: 1199px) {
	.pbm-banner-single {
		flex-direction: column;
		height: auto;
		padding-bottom: 3vw;
	}

	.pbm-banner-image {
		display: flex;
		justify-content: center;
		width: 100%;
		height: 200px;
		aspect-ratio: 2/1;
	}

	.pbm-banner-heading>h1 {
		font-size: 4vw;
		text-align: center;
	}

	.pbm-model-diagrams {
		grid-template-columns: 1fr;
		grid-template-rows: auto auto;
		row-gap: 3vw;
		height: auto;
	}

	.pbm-sm-diagram-book {
		flex-direction: column;
		padding: 3vw;
		justify-content: center;
		overflow: visible;
	}

	.pbm-sm-diagram-book--left {
		overflow: visible;
	}

	.pbm-diagram-thumbs {
		flex-direction: row;
		justify-content: center;
	}

	.diagram-container {
		width: 100%;
		height: 750px;
	}

	.pbm-sm-product-list-body-2,
	.pbm-sm-product-list-header {
		padding: 20px !important;
	}
}

@media (max-width: 1024px) {

	.pbm-sm-product-list-body-2,
	.pbm-sm-product-list-header {
		padding: 2vw !important;
	}
}

@media (max-width: 768px) {
	.diagram-container {
		height: 500px;
	}

	.pbm-banner-image {
		height: 200px;
		aspect-ratio: 2/1;
	}

	.pbm-banner-heading>h1 {
		font-size: 7vw;
	}

	.pbm-sm-product-list-body-2,
	.pbm-sm-product-list-header {
		padding: 3vw !important;
	}
}